Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Class DefaultConventionsToPropertiesMapping

    java.lang.Object
      org.gradle.api.plugins.DefaultConventionsToPropertiesMapping

    public class DefaultConventionsToPropertiesMapping

extends java.lang.Object

Field Summary
`static java.util.Map` | `ARCHIVE`
`static java.util.Map<java.lang.String,ConventionValue>` | `COMPILE`
`static java.util.Map` | `JAR`
`static java.util.Map<java.lang.String,ConventionValue>` | `JAVADOC`
`static java.util.Map<java.lang.String,ConventionValue>` | `RESOURCES`
`static java.util.Map` | `TAR`
`static java.util.Map` | `TEST`
`static java.util.Map` | `TEST_COMPILE`
`static java.util.Map` | `TEST_RESOURCES`
`static java.util.Map` | `WAR`
`static java.util.Map` | `ZIP`

Constructor Summary
`DefaultConventionsToPropertiesMapping()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAVADOC

    public static final java.util.Map<java.lang.String,ConventionValue> JAVADOC

### RESOURCES

    public static final java.util.Map<java.lang.String,ConventionValue> RESOURCES

### COMPILE

    public static final java.util.Map<java.lang.String,ConventionValue> COMPILE

### TEST_RESOURCES

    public static final java.util.Map TEST_RESOURCES

### TEST_COMPILE

    public static final java.util.Map TEST_COMPILE

### TEST

    public static final java.util.Map TEST

### ARCHIVE

    public static final java.util.Map ARCHIVE

### ZIP

    public static final java.util.Map ZIP

### TAR

    public static final java.util.Map TAR

### JAR

    public static final java.util.Map JAR

### WAR

    public static final java.util.Map WAR

Constructor Detail

### DefaultConventionsToPropertiesMapping

    public DefaultConventionsToPropertiesMapping()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD